# https://bugzilla.redhat.com/show_bug.cgi?id=996792
%global modname fedmsg_meta_debian

Name:               python-fedmsg-meta-debian
Version:            0.1
Release:            4%{?dist}
Summary:            Metadata providers for Debian's fedmsg deployment

Group:              Development/Libraries
License:            MIT
URL:                http://pypi.python.org/pypi/%{modname}
Source0:            http://pypi.python.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      fedmsg >= 0.6.1
BuildRequires:      python-setuptools

Requires:           fedmsg >= 0.6.1
Requires:           python-fedora


%description
fedmsg <http://fedmsg.com> is a set of tools for knitting together
services and webapps into a realtime messaging net. This package contains
metadata provider plugins for the Debian deployment of that system.

If you were to deploy fedmsg at another site, you would like want to write
your own module like this one that could provide textual representations of
your messages.


%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}


%check
%{__python} setup.py test


%files
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}*


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 14 2013 Ian Weller <iweller@redhat.com> - 0.1-2
- BR: python-setuptools

* Tue Aug 13 2013 Ian Weller <iweller@redhat.com> - 0.1-1
- Initial package for Fedora
